EMF::EMRPOLYLINE16 Class Reference

EMF Polyline16. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRPOLYLINE16:

## Public Member Functions

| EMRPOLYLINE16 (const RECTL *bounds, const POINT16 *points, INT n)
| EMRPOLYLINE16 (const RECTL *bounds, const POINT *points, INT n)
| ~EMRPOLYLINE16 ()
| EMRPOLYLINE16 (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Polyline16.

Draw a series of connected lines using 16-bit points.

## Constructor & Destructor Documentation

## EMRPOLYLINE16() [1/3]

EMF::EMRPOLYLINE16::EMRPOLYLINE16 | ( | const RECTL * | bounds,
|  | const POINT16 * | points,
|  | INT | n
| ) |  |

inline

Parameters

  bounds | overall bounding box of polyline.
  points | array of polyline vertices.
  n | number of vertices in points.

## EMRPOLYLINE16() [2/3]

EMF::EMRPOLYLINE16::EMRPOLYLINE16 | ( | const RECTL * | bounds,
|  | const POINT * | points,
|  | INT | n
| ) |  |

inline

Constructor with POINTs.

Parameters

  bounds | overall bounding box of polyline.
  points | array of polyline vertices.
  n | number of vertices in points.

## ~EMRPOLYLINE16()

EMF::EMRPOLYLINE16::~EMRPOLYLINE16 | ( |  | ) |

inline

Destructor frees a copy of the points it buffered.

## EMRPOLYLINE16() [3/3]

EMF::EMRPOLYLINE16::EMRPOLYLINE16 | ( | DATASTREAM & | ds | ) |

inline

Construct a Polyline record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRPOLYLINE16::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRPOLYLINE16::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRPOLYLINE16::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h